import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mini_app_likewallet/mini_app_likewallet.dart';

void main() {
  const MethodChannel channel = MethodChannel('mini_app_likewallet');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MiniAppLikewallet.platformVersion, '42');
  });
}
